'''
Tower Tennis
    by Andrew Eshelman, Amanda White, and Sajjan Singh Mehta
    Recitation Assignment #8
    12/06/2007

This file provides a function to pick a random regular or special
pattern when needed, call the default initial pattern, and keep a
track of future patterns that will need to be shown.
'''

from visual import *
from random import *
from pattern import *
from special import *
from block import *

#******************************************************************************

def pick(args = ''):

    #**************************************************************************
    
    if len(nextframe) > 0:
        pattern = nextframe[0]
        blocks = nextblocks[0]
        
        del nextframe[0]
        del nextblocks[0]
        
        for b in blocks:
            b.block.visible = 1
        
        return pattern, blocks
    
    if args == 'initial':
        return pattern0()
        
    elif args == 'special':
        num = randint(1,3)
        if num == 1:
            return special2()
        elif num == 2:
            return special3()
        else:
            return special1()
        
    else:
        num = randint(1,10)
        if num == 1:
            return pattern1()
            
        elif num == 2:
            return pattern2()
    
        elif num == 3:
            return pattern3()
    
        elif num == 4:
            return pattern4()
        
        elif num == 5:
            return pattern5()
        
        elif num == 6:
            return pattern6()
    
        elif num == 7:
            return pattern7()
    
        elif num == 8:
            return pattern8()
    
        elif num == 9:
            return pattern9()
            
        else:
            return pattern10()
    
    

    #******************************************************************************
    #Comment out the above section and uncomment one of the below
    # in order to view each pattern

    #return pattern1()
    #return pattern2()
    #return pattern3()
    #return pattern4()
    #return pattern5()
    #return pattern6()
    #return pattern7()
    #return pattern8()
    #return pattern9()
    #return pattern10()
    #return special1()
    #return special2()
    #return special3()
    
